#!/usr/bin/env python

from WebStack.Adapters import BaseHTTPRequestHandler
from WebStack.Resources.LoginRedirect import LoginRedirectResource, LoginRedirectAuthenticator
from Simple import SimpleResource
import BaseHTTPServer

# Special magic incantation.

handler = BaseHTTPRequestHandler.HandlerFactory(
    LoginRedirectResource(
        login_url="http://localhost:8081",
        app_url="http://localhost:8080",
        resource=SimpleResource(),
        authenticator=LoginRedirectAuthenticator(secret_key="horses"),
        anonymous_parameter_name="anonymous",
        logout_parameter_name="logout"
    )
)
address = ("", 8080)
server = BaseHTTPServer.HTTPServer(address, handler)
print "Serving..."
server.serve_forever()

# vim: tabstop=4 expandtab shiftwidth=4
